Index: LMDZ6/branches/Portage_acc/libf/phylmdiso/isotrac_routines_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmdiso/isotrac_routines_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmdiso/isotrac_routines_mod.F90	(revision 4446)
@@ -8,4 +8,5 @@
 ! isotopes_verif a besoin de isotopes et isotrac
 ! isotrac n'a besoin que de isotopes
+    USE infotrac_phy, ONLY: ntraciso=>ntiso, niso, index_trac=>itZonIso, ntraceurs_zone=>nzone
 IMPLICIT NONE
 
@@ -17,5 +18,4 @@
      &           ncum,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
 
@@ -63,5 +63,4 @@
      &          xtp_avantevap_cas,liq,hdiag)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau,iso_HDO,ridicule_evap
     USE isotrac_mod, only: option_revap,evap_franche,izone_revap, &
@@ -231,5 +230,4 @@
      &    nloc,ncum,nd,i,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: iso_eau
 #ifdef ISOVERIF        
@@ -320,5 +318,4 @@
      &    nloc,ncum,nd,i,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: iso_eau
 #ifdef ISOVERIF
@@ -408,5 +405,4 @@
      &    nloc,ncum,nd,i,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
 #ifdef ISOVERIF
@@ -476,5 +472,4 @@
      &    nloc,ncum,nd,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
 #ifdef ISOVERIF
@@ -643,5 +638,4 @@
      &    nloc,ncum,nd,i,frac_sublim,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
 #ifdef ISOVERIF
@@ -802,5 +796,4 @@
      &       xtrevap_tag,liq,hdiag)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
     USE isotrac_mod, only: option_revap,evap_franche
@@ -899,5 +892,4 @@
      &       klon,izone,ptrac)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
 #ifdef ISOVERIF
@@ -986,5 +978,4 @@
      &       klon,izone)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac
     USE isotopes_mod, ONLY: ridicule,iso_eau
 #ifdef ISOVERIF
@@ -1052,6 +1043,4 @@
      &    klon,izone,zxt,xtrevap_tag)
 
-USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
 #ifdef ISOVERIF
 USE isotopes_verif_mod
@@ -1124,10 +1113,10 @@
       USE isotrac_mod, only: use_bassin_atlantic,use_bassin_medit, &
 &       use_bassin_indian,use_bassin_austral,use_bassin_pacific, &
-&       use_bassin_merarabie,use_bassin_golfebengale,use_bassin_indiansud, &
-&       use_bassin_tropics,use_bassin_midlats,use_bassin_hauteslats, &
+&       use_bassin_MerArabie,use_bassin_BengalGolf,use_bassin_SouthIndian, &
+&       use_bassin_tropics,use_bassin_midlats,use_bassin_HighLats, &
 &       bassin_atlantic,bassin_medit, &
 &       bassin_indian,bassin_austral,bassin_pacific, &
-&       bassin_merarabie,bassin_golfebengale,bassin_indiansud, &
-&       bassin_tropics,bassin_midlats,bassin_hauteslats
+&       bassin_MerArabie,bassin_BengalGolf,bassin_SouthIndian, &
+&       bassin_tropics,bassin_midlats,bassin_HighLats
       implicit none
       ! répond true si lat,lon se trouve dans le bassin numéroté bassin
@@ -1148,6 +1137,5 @@
       write(*,*) 'is_in_basin 84: entree,bassin=',bassin
 #endif
-      if ((use_bassin_atlantic.eq.1).and. &
-     &           (bassin.eq.bassin_atlantic)) then
+      if (use_bassin_atlantic .and. bassin==bassin_atlantic) then
 #ifdef ISOVERIF           
           write(*,*) 'bassin Atlantique?'
@@ -1180,6 +1168,5 @@
           endif
 
-      else if ((use_bassin_medit.eq.1).and. &
-     &           (bassin.eq.bassin_medit)) then
+      else if (use_bassin_medit .and. bassin==bassin_medit) then
 #ifdef ISOVERIF           
           write(*,*) 'bassin Medit?'
@@ -1194,6 +1181,5 @@
           endif
 
-      else if ((use_bassin_indian.eq.1).and. &
-     &           (bassin.eq.bassin_indian)) then
+      else if (use_bassin_indian .and. bassin==bassin_indian) then
 #ifdef ISOVERIF           
           write(*,*) 'bassin indian?'
@@ -1210,6 +1196,5 @@
           endif   
 
-      else if ((use_bassin_indiansud.eq.1).and. &
-     &           (bassin.eq.bassin_indiansud)) then
+      else if (use_bassin_SouthIndian .and. bassin==bassin_SouthIndian) then
 #ifdef ISOVERIF           
           write(*,*) 'bassin indian hemisphere Sud?'
@@ -1220,6 +1205,5 @@
           endif
           
-      else if ((use_bassin_merarabie.eq.1).and. &
-     &           (bassin.eq.bassin_merarabie)) then
+      else if (use_bassin_MerArabie .and. bassin==bassin_MerArabie) then
 #ifdef ISOVERIF           
           write(*,*) 'bassin Mer d''Arabie?'
@@ -1230,6 +1214,5 @@
           endif 
 
-      else if ((use_bassin_golfebengale.eq.1).and. &
-     &           (bassin.eq.bassin_golfebengale)) then
+      else if (use_bassin_BengalGolf .and. bassin==bassin_BengalGolf) then
 #ifdef ISOVERIF           
           write(*,*) 'bassin Golfe du Bengale?'
@@ -1240,6 +1223,5 @@
           endif         
 
-      else if ((use_bassin_pacific.eq.1).and. &
-     &           (bassin.eq.bassin_pacific)) then
+      else if (use_bassin_pacific .and. bassin==bassin_pacific) then
 #ifdef ISOVERIF           
           write(*,*) 'bassin Pacific?'
@@ -1278,6 +1260,5 @@
           endif
 
-      else if ((use_bassin_austral.eq.1).and. &
-     &           (bassin.eq.bassin_austral)) then  
+      else if (use_bassin_austral .and. bassin==bassin_austral) then  
 #ifdef ISOVERIF           
           write(*,*) 'bassin austral?'
@@ -1288,6 +1269,5 @@
           endif  
 
-      else if ((use_bassin_hauteslats.eq.1).and. &
-     &           (bassin.eq.bassin_hauteslats)) then  
+      else if (use_bassin_HighLats .and. bassin==bassin_HighLats) then  
 #ifdef ISOVERIF           
           write(*,*) 'bassin hautes lats?'
@@ -1298,6 +1278,5 @@
           endif
 
-      else if ((use_bassin_tropics.eq.1).and. &
-     &           (bassin.eq.bassin_tropics)) then  
+      else if (use_bassin_tropics .and. bassin==bassin_tropics) then  
 #ifdef ISOVERIF           
           write(*,*) 'bassin tropics?'
@@ -1308,6 +1287,5 @@
           endif
 
-       else if ((use_bassin_midlats.eq.1).and. &
-     &           (bassin.eq.bassin_midlats)) then  
+       else if (use_bassin_midlats .and. bassin==bassin_midlats) then  
 #ifdef ISOVERIF           
           write(*,*) 'bassin mid lats?'
@@ -1325,14 +1303,14 @@
           write(*,*) 'bassin_indian=' ,bassin_indian
           write(*,*) 'bassin_austral=' ,bassin_austral
-          write(*,*) 'bassin_merarabie=' ,bassin_merarabie
-          write(*,*) 'bassin_golfebengale=' ,bassin_golfebengale
-          write(*,*) 'bassin_indiansud=' ,bassin_indiansud
+          write(*,*) 'bassin_MerArabie=' ,bassin_MerArabie
+          write(*,*) 'bassin_BengalGolf=' ,bassin_BengalGolf
+          write(*,*) 'bassin_SouthIndian=' ,bassin_SouthIndian
           write(*,*) 'use_bassin_atlantic=' ,use_bassin_atlantic  
           write(*,*) 'use_bassin_medit=' ,use_bassin_medit
           write(*,*) 'use_bassin_indian=' ,use_bassin_indian
           write(*,*) 'use_bassin_austral=' ,use_bassin_austral
-          write(*,*) 'use_bassin_merarabie=' ,use_bassin_merarabie
-          write(*,*) 'use_bassin_golfebengale=' ,use_bassin_golfebengale
-          write(*,*) 'use_bassin_indiansud=' ,use_bassin_indiansud
+          write(*,*) 'use_bassin_MerArabie=' ,use_bassin_MerArabie
+          write(*,*) 'use_bassin_BengalGolf=' ,use_bassin_BengalGolf
+          write(*,*) 'use_bassin_SouthIndian=' ,use_bassin_SouthIndian
           stop
       endif
@@ -1342,5 +1320,5 @@
 
       subroutine find_bassin(lat,lon,bassin)
-      use isotrac_mod, only: izone_poubelle,ntraceurs_zone,option_traceurs, &
+      use isotrac_mod, only: izone_poubelle,ntraceurs_zone=>ntiso,option_traceurs, &
 &        bassin_map
 #ifdef ISOVERIF
@@ -1517,6 +1495,4 @@
         subroutine isotrac_recolorise_tmin(xt,t)
         USE dimphy, only: klon, klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         USE isotrac_mod, only: zone_temp,nzone_temp
 #ifdef ISOVERIF
@@ -1603,6 +1579,4 @@
         subroutine isotrac_recolorise_tmin_sfrev(xt,t)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         USE isotrac_mod, only: nzone_temp,zone_temp
 #ifdef ISOVERIF
@@ -1661,6 +1635,4 @@
         subroutine isotrac_recolorise_saturation(xt,rh,lat,pres)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1727,6 +1699,4 @@
         subroutine isotrac_recolorise_boite(xt,boite_map)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1781,6 +1751,4 @@
         subroutine isotrac_recolorise_extra(xt,rlat)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         usE isotrac_mod, only: lim_tag20,izone_trop,izone_extra
 #ifdef ISOVERIF
@@ -1830,6 +1798,4 @@
         subroutine isotrac_recolorise_conv(xt,rlat,presnivs,rain_con)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         use isotrac_mod, only: lim_precip_tag22, &
 &       izone_conv_BT,izone_conv_UT
@@ -1902,6 +1868,4 @@
         subroutine boite_AMMA_init(lat,lon,presnivs,boite_map)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1957,6 +1921,4 @@
         subroutine boite_UT_extra_init(lat,lon,presnivs,boite_map)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         use isotrac_mod, only: izone_extra,izone_trop
 #ifdef ISOVERIF
@@ -2095,6 +2057,4 @@
      &           seuil_in)
         USE dimphy, only: klon,klev
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         USE isotopes_mod, only: bidouille_anti_divergence,iso_eau
         use isotrac_mod, only: option_seuil_tag_tmin,izone_cond, &
@@ -2304,6 +2264,4 @@
         subroutine bassin_map_init_opt20(lat,bassin_map)
         USE dimphy, only: klon
-        USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
         use isotrac_mod, only: izone_cont,izone_trop,lim_tag20
 #ifdef ISOVERIF
@@ -2334,5 +2292,4 @@
         USE geometry_mod, ONLY : latitude_deg
         USE dimphy, only: klon,klev
-        use infotrac_phy, only: ntraciso
         use isotrac_mod, only: option_traceurs,boite_map
         implicit none
@@ -2365,6 +2322,6 @@
         subroutine iso_verif_traceur_jbid_vect(x,n,m)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        USE infotrac_phy, ONLY: index_trac,niso,ntraciso
-        use isotrac_mod, only: ntraceurs_zone
+        !use isotrac_mod, only: ntraceurs_zone=>nzone
+        USE infotrac_phy, ONLY: ntraceurs_zone=>nzone
         implicit none
         
@@ -2430,5 +2387,4 @@
         subroutine iso_verif_traceur_jbidouille(x)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        USE infotrac_phy, ONLY: index_trac,niso,ntraciso,ntraceurs_zone
         implicit none
         
@@ -2470,5 +2426,4 @@
         subroutine iso_verif_traceur_jbid_pos(x)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        USE infotrac_phy, ONLY: index_trac,niso,ntraciso,ntraceurs_zone
 !#ifdef ISOVERIF
 !        use isotopes_verif_mod, only: iso_verif_traceur_pbidouille
@@ -2544,5 +2499,4 @@
         subroutine iso_verif_traceur_jbid_pos_vect(n,m,x)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        USE infotrac_phy, ONLY: index_trac,niso,ntraciso,ntraceurs_zone
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -2625,5 +2579,4 @@
         subroutine iso_verif_traceur_jbid_pos2(x,q)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        USE infotrac_phy, ONLY: index_trac,niso,ntraciso,ntraceurs_zone
 #ifdef ISOVERIF
         use isotopes_verif_mod
@@ -2696,5 +2649,4 @@
         subroutine iso_verif_traceur_jbid_vect1D(x,n)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        USE infotrac_phy, ONLY: index_trac,niso,ntraciso,ntraceurs_zone
         implicit none
         
@@ -2739,5 +2691,4 @@
 
         subroutine iso_verif_traceur_pbidouille(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotopes_verif_mod
         implicit none
@@ -2765,5 +2716,4 @@
 
         function iso_verif_traceur_pbid_ns(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotopes_mod, ONLY: iso_HDO,bidouille_anti_divergence
         use isotrac_mod, only: ridicule_trac
@@ -2828,5 +2778,4 @@
 
         subroutine iso_verif_traceur_pbid_vect(x,n,m,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotopes_mod, ONLY: iso_HDO,bidouille_anti_divergence
         use isotopes_verif_mod
Index: LMDZ6/branches/Portage_acc/libf/phylmdiso/limit_read_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmdiso/limit_read_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmdiso/limit_read_mod.F90	(revision 4446)
@@ -281,5 +281,4 @@
     USE indice_sol_mod
 #ifdef ISO
-    !USE infotrac_phy, ONLY: use_iso
     USE isotopes_mod, ONLY : iso_HTO,ok_prod_nucl_tritium
 #ifdef ISOVERIF
Index: LMDZ6/branches/Portage_acc/libf/phylmdiso/ocean_forced_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmdiso/ocean_forced_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmdiso/ocean_forced_mod.F90	(revision 4446)
@@ -42,5 +42,5 @@
     use config_ocean_skin_m, only: activate_ocean_skin
 #ifdef ISO
-  USE infotrac_phy, ONLY: ntraciso,niso
+  USE infotrac_phy, ONLY: ntiso,niso
     USE isotopes_routines_mod, ONLY: calcul_iso_surf_oce_vectall, &
 &       calcul_iso_surf_sic_vectall    
@@ -73,6 +73,6 @@
 
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)    :: xtprecip_rain, xtprecip_snow
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)    :: xtspechum
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)  :: xtprecip_rain, xtprecip_snow
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)  :: xtspechum
     real, dimension(klon), intent(IN) :: rlat
 #endif
@@ -98,5 +98,5 @@
 
 #ifdef ISO     
-    REAL, DIMENSION(ntraciso,klon), INTENT(OUT)    :: xtevap ! isotopes in evaporation flux
+    REAL, DIMENSION(ntiso,klon), INTENT(OUT) :: xtevap ! isotopes in evaporation flux
     REAL, DIMENSION(klon), INTENT(out)    :: h1 ! just a diagnostic, not useful for the simulation
 #endif
@@ -271,5 +271,5 @@
     USE phys_output_var_mod, ONLY : sens_prec_liq_o, sens_prec_sol_o, lat_prec_liq_o, lat_prec_sol_o
 #ifdef ISO
-  USE infotrac_phy, ONLY: niso,ntraciso
+  USE infotrac_phy, ONLY: niso, ntiso
     USE isotopes_routines_mod, ONLY: calcul_iso_surf_oce_vectall, &
 &       calcul_iso_surf_sic_vectall 
@@ -303,8 +303,8 @@
     real, intent(in):: rhoa(:) ! (knon) density of moist air  (kg / m3)
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)    :: xtprecip_rain, xtprecip_snow
-    REAL, DIMENSION(ntraciso,klon), INTENT(IN)    :: xtspechum
-    REAL, DIMENSION(niso,klon), INTENT(IN)    :: Roce 
-    REAL, DIMENSION(niso,klon), INTENT(IN)        :: Rland_ice
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)    :: xtprecip_rain, xtprecip_snow
+    REAL, DIMENSION(ntiso,klon), INTENT(IN)    :: xtspechum
+    REAL, DIMENSION(niso,klon),  INTENT(IN)    :: Roce 
+    REAL, DIMENSION(niso,klon),  INTENT(IN)    :: Rland_ice
 #endif
 
@@ -330,5 +330,5 @@
     REAL, DIMENSION(klon), INTENT(OUT)            :: dflux_s, dflux_l      
 #ifdef ISO     
-    REAL, DIMENSION(ntraciso,klon), INTENT(OUT)    :: xtevap
+    REAL, DIMENSION(ntiso,klon), INTENT(OUT)    :: xtevap
 #endif      
 
Index: LMDZ6/branches/Portage_acc/libf/phylmdiso/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmdiso/pbl_surface_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmdiso/pbl_surface_mod.F90	(revision 4446)
@@ -14,5 +14,5 @@
   USE mod_grid_phy_lmdz,   ONLY : klon_glo
   USE ioipsl
-  USE surface_data,        ONLY : type_ocean, ok_veget
+  USE surface_data,        ONLY : type_ocean, ok_veget, landice_opt
   USE surf_land_mod,       ONLY : surf_land
   USE surf_landice_mod,    ONLY : surf_landice
@@ -31,4 +31,7 @@
                                   wx_pbl_check, wx_pbl_dts_check, wx_evappot
   use config_ocean_skin_m, only: activate_ocean_skin
+#ifdef ISO
+  USE infotrac_phy, ONLY: niso,ntraciso=>ntiso    
+#endif
 
   IMPLICIT NONE
@@ -193,5 +196,4 @@
     USE indice_sol_mod
     USE print_control_mod, ONLY: lunout
-  USE infotrac_phy, ONLY: niso,ntraciso ! ajout C Risi pour isos  
 #ifdef ISOVERIF
     USE isotopes_mod, ONLY: iso_eau,ridicule
@@ -395,5 +397,4 @@
     USE print_control_mod,  ONLY : prt_level,lunout
 #ifdef ISO
-  USE infotrac_phy, ONLY: ntraciso,niso ! ajout C Risi pour isos    
   USE isotopes_mod, ONLY: Rdefault,iso_eau
 #ifdef ISOVERIF
@@ -405,6 +406,7 @@
 #endif
     USE ioipsl_getin_p_mod, ONLY : getin_p
-    use phys_state_var_mod, only: ds_ns, dt_ns, delta_sst, delta_sal, zsig, zmea
-    use phys_output_var_mod, only: dter, dser, tkt, tks, taur, sss
+    use phys_state_var_mod, only: ds_ns, dt_ns, delta_sst, delta_sal, dter, &
+         dser, dt_ds, zsig, zmea
+    use phys_output_var_mod, only: tkt, tks, taur, sss
 #ifdef CPP_XIOS
     USE wxios, ONLY: missing_val
@@ -1028,8 +1030,8 @@
     ! Martin
 
-    REAL, DIMENSION(klon):: ydelta_sst, ydelta_sal, yds_ns, ydt_ns, ydter, ydser, &
-         ytkt, ytks, ytaur, ysss
-    ! compression of delta_sst, delta_sal, ds_ns, dt_ns, dter, dser, tkt, tks,
-    ! taur, sss on ocean points
+    REAL, DIMENSION(klon):: ydelta_sst, ydelta_sal, yds_ns, ydt_ns, ydter, &
+         ydser, ydt_ds, ytkt, ytks, ytaur, ysss
+    ! compression of delta_sst, delta_sal, ds_ns, dt_ns, dter, dser,
+    ! dt_ds, tkt, tks, taur, sss on ocean points
 
 #ifdef ISO
@@ -1812,4 +1814,7 @@
              ydelta_sal(:knon) = delta_sal(ni(:knon))
              ydelta_sst(:knon) = delta_sst(ni(:knon))
+             ydter(:knon) = dter(ni(:knon))
+             ydser(:knon) = dser(ni(:knon))
+             ydt_ds(:knon) = dt_ds(ni(:knon))
           end if
           
@@ -2381,67 +2386,70 @@
        CASE(is_lic)
           ! Martin
-          CALL surf_landice(itap, dtime, knon, ni, &
-               rlon, rlat, debut, lafin, &
-               yrmu0, ylwdown, yalb, zgeo1, &
-               ysolsw, ysollw, yts, ypplay(:,1), &
-!!jyg               ycdragh, ycdragm, yrain_f, ysnow_f, yt(:,1), yq(:,1),&
-               ycdragh, ycdragm, yrain_f, ysnow_f, yt1, yq1,&
-               AcoefH, AcoefQ, BcoefH, BcoefQ, &
-               AcoefU, AcoefV, BcoefU, BcoefV, &
-               ypsref, yu1, yv1, ygustiness, yrugoro, pctsrf, &
-               ysnow, yqsurf, yqsol, yagesno, &
-               ytsoil, yz0m, yz0h, SFRWL, yalb_dir_new, yalb_dif_new, yevap,yfluxsens,yfluxlat, &
-               ytsurf_new, y_dflux_t, y_dflux_q, &
-               yzmea, yzsig, ycldt, &
-               ysnowhgt, yqsnow, ytoice, ysissnow, &
-               yalb3_new, yrunoff, &
-               y_flux_u1, y_flux_v1 &
-#ifdef ISO
-           &    ,yxtrain_f, yxtsnow_f,yxt1,yRland_ice &
-           &    ,yxtsnow,yxtsol,yxtevap &
+          IF (landice_opt .LT. 2) THEN
+             ! Land ice is treated by LMDZ and not by ORCHIDEE
+             
+             CALL surf_landice(itap, dtime, knon, ni, &
+                  rlon, rlat, debut, lafin, &
+                  yrmu0, ylwdown, yalb, zgeo1, &
+                  ysolsw, ysollw, yts, ypplay(:,1), &
+                  !!jyg               ycdragh, ycdragm, yrain_f, ysnow_f, yt(:,1), yq(:,1),&
+                  ycdragh, ycdragm, yrain_f, ysnow_f, yt1, yq1,&
+                  AcoefH, AcoefQ, BcoefH, BcoefQ, &
+                  AcoefU, AcoefV, BcoefU, BcoefV, &
+                  ypsref, yu1, yv1, ygustiness, yrugoro, pctsrf, &
+                  ysnow, yqsurf, yqsol, yagesno, &
+                  ytsoil, yz0m, yz0h, SFRWL, yalb_dir_new, yalb_dif_new, yevap,yfluxsens,yfluxlat, &
+                  ytsurf_new, y_dflux_t, y_dflux_q, &
+                  yzmea, yzsig, ycldt, &
+                  ysnowhgt, yqsnow, ytoice, ysissnow, &
+                  yalb3_new, yrunoff, &
+                  y_flux_u1, y_flux_v1 &
+#ifdef ISO
+                  &    ,yxtrain_f, yxtsnow_f,yxt1,yRland_ice &
+                  &    ,yxtsnow,yxtsol,yxtevap &
 #endif              
-           &    )
-
-!jyg<
-!!          alb3_lic(:)=0.
-!>jyg
-          DO j = 1, knon
-             i = ni(j)
-             alb3_lic(i) = yalb3_new(j)
-             snowhgt(i)   = ysnowhgt(j)
-             qsnow(i)     = yqsnow(j)
-             to_ice(i)    = ytoice(j)
-             sissnow(i)   = ysissnow(j)
-             runoff(i)    = yrunoff(j)
-          ENDDO
-          ! Martin
-! Special DICE MPL 05082013 puis BOMEX MPL 20150410
-       IF (ok_prescr_ust) THEN
-          DO j=1,knon
-          y_flux_u1(j)=ycdragm(j)*(1.+sqrt(yu(j,1)*yu(j,1)+yv(j,1)*yv(j,1)))*yu(j,1)*ypplay(j,1)/RD/yt(j,1)
-          y_flux_v1(j)=ycdragm(j)*(1.+sqrt(yu(j,1)*yu(j,1)+yv(j,1)*yv(j,1)))*yv(j,1)*ypplay(j,1)/RD/yt(j,1)
-          ENDDO
-      ENDIF
-
+                  &    )
+             
+             !jyg<
+             !!          alb3_lic(:)=0.
+             !>jyg
+             DO j = 1, knon
+                i = ni(j)
+                alb3_lic(i) = yalb3_new(j)
+                snowhgt(i)   = ysnowhgt(j)
+                qsnow(i)     = yqsnow(j)
+                to_ice(i)    = ytoice(j)
+                sissnow(i)   = ysissnow(j)
+                runoff(i)    = yrunoff(j)
+             ENDDO
+             ! Martin
+             ! Special DICE MPL 05082013 puis BOMEX MPL 20150410
+             IF (ok_prescr_ust) THEN
+                DO j=1,knon
+                   y_flux_u1(j)=ycdragm(j)*(1.+sqrt(yu(j,1)*yu(j,1)+yv(j,1)*yv(j,1)))*yu(j,1)*ypplay(j,1)/RD/yt(j,1)
+                   y_flux_v1(j)=ycdragm(j)*(1.+sqrt(yu(j,1)*yu(j,1)+yv(j,1)*yv(j,1)))*yv(j,1)*ypplay(j,1)/RD/yt(j,1)
+                ENDDO
+             ENDIF
+             
 #ifdef ISOVERIF
-        do j=1,knon
-          do ixt=1,ntraciso
-            call iso_verif_noNaN(yxtevap(ixt,j), &
-         &      'pbl_surface 1095a: apres surf_landice')
-            call iso_verif_noNaN(yxtsol(ixt,j), &
-         &      'pbl_surface 1095b: apres surf_landice')
-          enddo
-        enddo
+             do j=1,knon
+                do ixt=1,ntraciso
+                   call iso_verif_noNaN(yxtevap(ixt,j), &
+                        &      'pbl_surface 1095a: apres surf_landice')
+                   call iso_verif_noNaN(yxtsol(ixt,j), &
+                        &      'pbl_surface 1095b: apres surf_landice')
+                enddo
+             enddo
 #endif
 #ifdef ISOVERIF
-        !write(*,*) 'pbl_surface_mod 1060: sortie surf_landice'
-        do j=1,knon
-          if (iso_eau.gt.0) then     
-                 call iso_verif_egalite(yxtsnow(iso_eau,j), &
-     &                  ysnow(j),'pbl_surf_mod 1064')
-           endif !if (iso_eau.gt.0) then
-        enddo !do i=1,klon
-#endif
-          
+             !write(*,*) 'pbl_surface_mod 1060: sortie surf_landice'
+             do j=1,knon
+                if (iso_eau.gt.0) then     
+                   call iso_verif_egalite(yxtsnow(iso_eau,j), &
+                        &                  ysnow(j),'pbl_surf_mod 1064')
+                endif !if (iso_eau.gt.0) then
+             enddo !do i=1,klon
+#endif
+          END IF
        CASE(is_oce)
            CALL surf_ocean(rlon, rlat, ysolsw, ysollw, yalb_vis, &
@@ -2458,5 +2466,5 @@
                y_flux_u1, y_flux_v1, ydelta_sst(:knon), ydelta_sal(:knon), &
                yds_ns(:knon), ydt_ns(:knon), ydter(:knon), ydser(:knon), &
-               ytkt(:knon), ytks(:knon), ytaur(:knon), ysss &
+               ydt_ds(:knon), ytkt(:knon), ytks(:knon), ytaur(:knon), ysss &
 #ifdef ISO
          &      ,yxtrain_f, yxtsnow_f,yxt1,Roce, &
@@ -3390,4 +3398,9 @@
           taur(ni(:knon)) = ytaur(:knon)
           sss(ni(:knon)) = ysss(:knon)
+
+          if (activate_ocean_skin == 2 .and. type_ocean == "couple") then
+             dt_ds = missing_val
+             dt_ds(ni(:knon)) = ydt_ds(:knon)
+          end if
        end if
 
@@ -4051,5 +4064,4 @@
     USE indice_sol_mod
 #ifdef ISO
-  USE infotrac_phy, ONLY: ntraciso,niso ! ajout C Risi pour isos  
 #ifdef ISOVERIF
     USE isotopes_mod, ONLY: iso_eau,ridicule
@@ -4128,9 +4140,7 @@
 
     USE indice_sol_mod
-    use phys_state_var_mod, only: delta_sal, ds_ns, dt_ns, delta_sst
+    use phys_state_var_mod, only: delta_sal, ds_ns, dt_ns, delta_sst, dter, &
+         dser, dt_ds
     use config_ocean_skin_m, only: activate_ocean_skin
-#ifdef ISO
-  USE infotrac_phy, ONLY: ntraciso    
-#endif
 
 
@@ -4237,4 +4247,7 @@
                          delta_sal(i) = 0.
                          delta_sst(i) = 0.
+                         dter(i) = 0.
+                         dser(i) = 0.
+                         dt_ds(i) = 0.
                       end if
                       
